Search Results for

    Show / Hide Table of Contents

    Class SectionSurfaceBuilder

    Inheritance
    System.Object
    System.MarshalByRefObject
    NXRemotableObject
    TaggedObject
    Builder
    FeatureBuilder
    SectionSurfaceBuilder
    Implements
    System.Runtime.Remoting.Messaging.IMessageSink
    IComponentBuilder
    Inherited Members
    FeatureBuilder.CommitFeature()
    FeatureBuilder.GetFeature()
    FeatureBuilder.SetParentFeatureInternal(Feature)
    FeatureBuilder.UnsetParentFeatureInternal(Feature)
    FeatureBuilder.ShowInternalParentFeatureForEdit(Feature)
    FeatureBuilder.HideInternalParentFeatureAfterEdit(Feature)
    FeatureBuilder.GetPreviewBody()
    FeatureBuilder.ParentFeatureInternal
    FeatureBuilder.PatchSolutionFlag
    FeatureBuilder.PatchSurfaceFilename
    FeatureBuilder.SurroundingPatchSurfaceFilename
    Builder.Commit()
    Builder.Destroy()
    Builder.GetCommittedObjects()
    Builder.GetObject()
    Builder.ShowResults()
    Builder.Validate()
    Builder.PreviewBuilder
    TaggedObject.initialize()
    TaggedObject.ToString()
    TaggedObject.PrintTestData(String)
    TaggedObject.PrintTestData(String, Int32)
    TaggedObject.Tag
    NXRemotableObject.SyncProcessMessage(IMessage)
    NXRemotableObject.AsyncProcessMessage(IMessage, IMessageSink)
    NXRemotableObject.NextSink
    System.MarshalByRefObject.CreateObjRef(System.Type)
    System.MarshalByRefObject.GetLifetimeService()
    System.MarshalByRefObject.InitializeLifetimeService()
    System.MarshalByRefObject.MemberwiseClone(System.Boolean)
    System.Object.Equals(System.Object)
    System.Object.Equals(System.Object, System.Object)
    System.Object.GetHashCode()
    System.Object.GetType()
    System.Object.MemberwiseClone()
    System.Object.ReferenceEquals(System.Object, System.Object)
    Namespace: NXOpen.Features
    Assembly: NXOpen.dll
    Syntax
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public class SectionSurfaceBuilder : FeatureBuilder, IMessageSink, IComponentBuilder

    Constructors

    SectionSurfaceBuilder()

    Declaration
    protected SectionSurfaceBuilder()

    Properties

    AlternateMethod

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public int AlternateMethod { get; set; }
    Property Value
    Type Description
    System.Int32

    AngleLaw

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public LawBuilder AngleLaw { get; }
    Property Value
    Type Description
    LawBuilder

    ApexCurve

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Section ApexCurve { get; }
    Property Value
    Type Description
    Section

    ControlRegion

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public SectionSurfaceBuilder.ControlRegionEnum ControlRegion { get; set; }
    Property Value
    Type Description
    SectionSurfaceBuilder.ControlRegionEnum

    CreateApexCurve

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public bool CreateApexCurve { get; set; }
    Property Value
    Type Description
    System.Boolean

    CurvatureTolerance

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public double CurvatureTolerance { get; set; }
    Property Value
    Type Description
    System.Double

    EndContinuity

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Continuity EndContinuity { get; }
    Property Value
    Type Description
    Continuity

    EndDepthSkew

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public DepthSkewBuilder EndDepthSkew { get; }
    Property Value
    Type Description
    DepthSkewBuilder

    EndFlowDirection

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public SectionSurfaceBuilder.FlowDirectionEnum EndFlowDirection { get; set; }
    Property Value
    Type Description
    SectionSurfaceBuilder.FlowDirectionEnum

    EndGuide

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Section EndGuide { get; }
    Property Value
    Type Description
    Section

    EndHighlightSection

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Section EndHighlightSection { get; }
    Property Value
    Type Description
    Section

    EndShapeCurve

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Section EndShapeCurve { get; }
    Property Value
    Type Description
    Section

    EndSlope

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Section EndSlope { get; }
    Property Value
    Type Description
    Section

    EndSurface

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public ScCollector EndSurface { get; }
    Property Value
    Type Description
    ScCollector

    EntireRegionDepthSkew

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public DepthSkewBuilder EntireRegionDepthSkew { get; }
    Property Value
    Type Description
    DepthSkewBuilder

    InteriorGuide1

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Section InteriorGuide1 { get; }
    Property Value
    Type Description
    Section

    InteriorGuide2

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Section InteriorGuide2 { get; }
    Property Value
    Type Description
    Section

    InteriorGuide3

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Section InteriorGuide3 { get; }
    Property Value
    Type Description
    Section

    OrientationGuide

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Section OrientationGuide { get; }
    Property Value
    Type Description
    Section

    PositionTolerance

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public double PositionTolerance { get; set; }
    Property Value
    Type Description
    System.Double

    RadiusLaw

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public LawBuilder RadiusLaw { get; }
    Property Value
    Type Description
    LawBuilder

    ReverseEndSurface

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public bool ReverseEndSurface { get; set; }
    Property Value
    Type Description
    System.Boolean

    ReverseStartDirection

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public bool ReverseStartDirection { get; set; }
    Property Value
    Type Description
    System.Boolean

    RhoLaw

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public LawBuilder RhoLaw { get; }
    Property Value
    Type Description
    LawBuilder

    SectionMethodCircularTangent

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public SectionSurfaceBuilder.SectionMethodCircularTangentEnum SectionMethodCircularTangent { get; set; }
    Property Value
    Type Description
    SectionSurfaceBuilder.SectionMethodCircularTangentEnum

    SectionMethodFilletBridge

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public SectionSurfaceBuilder.SectionMethodFilletBridgeEnum SectionMethodFilletBridge { get; set; }
    Property Value
    Type Description
    SectionSurfaceBuilder.SectionMethodFilletBridgeEnum

    SectionMethodRho

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public SectionSurfaceBuilder.SectionMethodRhoEnum SectionMethodRho { get; set; }
    Property Value
    Type Description
    SectionSurfaceBuilder.SectionMethodRhoEnum

    Shoulder

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Section Shoulder { get; }
    Property Value
    Type Description
    Section

    SpineCurve

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Section SpineCurve { get; }
    Property Value
    Type Description
    Section

    StartContinuity

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Continuity StartContinuity { get; }
    Property Value
    Type Description
    Continuity

    StartDepthSkew

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public DepthSkewBuilder StartDepthSkew { get; }
    Property Value
    Type Description
    DepthSkewBuilder

    StartFlowDirection

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public SectionSurfaceBuilder.FlowDirectionEnum StartFlowDirection { get; set; }
    Property Value
    Type Description
    SectionSurfaceBuilder.FlowDirectionEnum

    StartGuide

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Section StartGuide { get; }
    Property Value
    Type Description
    Section

    StartHighlightSection

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Section StartHighlightSection { get; }
    Property Value
    Type Description
    Section

    StartShapeCurve

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Section StartShapeCurve { get; }
    Property Value
    Type Description
    Section

    StartSlope

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Section StartSlope { get; }
    Property Value
    Type Description
    Section

    StartSurface

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public ScCollector StartSurface { get; }
    Property Value
    Type Description
    ScCollector

    TangentTolerance

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public double TangentTolerance { get; set; }
    Property Value
    Type Description
    System.Double

    Type

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public SectionSurfaceBuilder.Types Type { get; set; }
    Property Value
    Type Description
    SectionSurfaceBuilder.Types

    UDegree

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public SectionSurfaceBuilder.UDegreeEnum UDegree { get; set; }
    Property Value
    Type Description
    SectionSurfaceBuilder.UDegreeEnum

    VDegree

    Declaration
    [Obsolete("Deprecated in NX9.0.0.  Use NXOpen.Features.SectionSurfaceBuilderEx instead.")]
    public Rebuild VDegree { get; }
    Property Value
    Type Description
    Rebuild

    Implements

    System.Runtime.Remoting.Messaging.IMessageSink
    IComponentBuilder
    In This Article
    Back to top Generated by DocFX